Skip to content
IForevents Docs
IForevents Docs
HomeDashboardGitHubPrivacyTermsSecurityIntroduction
Support and SLA

Export everything stored about one tracked user

GET
/v1/privacy/subjects/{user_uuid}

Authorization

bearerAuth
AuthorizationBearer <token>

Session token issued by the accounts service (or the legacy /v1/auth routes).

In: header

Path Parameters

user_uuid*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/privacy/subjects/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "subject": {    "events": [      {        "created_at": "2026-09-13T12:30:45Z",        "organization_uuid": "0b7e2b1a-0a1b-4c2d-8e3f-4a5b6c7d8e9f",        "parent_name": "checkout_completed",        "project_uuid": "5f1c2e7a-1c2d-4b3e-9f10-1a2b3c4d5e6f",        "properties": {          "order_id": "ord_456",          "total": "99.99"        },        "type": "track",        "user_uuid": "00000000-0000-0000-8b20-15635fadf462",        "uuid": "00000000-0000-0000-3c9e-5b7a1d24f086"      }    ],    "user": {      "created_at": "2026-09-13T12:30:45Z",      "custom_id": "user_12345",      "email": "[email protected]",      "events_count": 42,      "name": "Ada Lovelace",      "project_uuid": "5f1c2e7a-1c2d-4b3e-9f10-1a2b3c4d5e6f",      "properties": {        "plan": "pro"      },      "updated_at": "2026-09-13T12:30:45Z",      "uuid": "00000000-0000-0000-8b20-15635fadf462"    }  }}